package test.org.seasar.extension.unit;

import junit.framework.Test;
import junit.framework.TestSuite;

/**
 * @author higa
 *
 */
public class UnitAllTests {

	public static void main(String[] args) {
		junit.textui.TestRunner.run(UnitAllTests.class);
	}

	public static Test suite() {
		TestSuite suite =
			new TestSuite("Test for test.org.seasar.extension.unit");
		//$JUnit-BEGIN$
		suite.addTest(new TestSuite(BeanListReaderTest.class));
		suite.addTest(new TestSuite(BeanReaderTest.class));
		suite.addTest(new TestSuite(MapListReaderTest.class));
		suite.addTest(new TestSuite(MapReaderTest.class));
		suite.addTest(new TestSuite(S2TestCase2Test.class));
		suite.addTest(new TestSuite(S2TestCase3Test.class));
		suite.addTest(new TestSuite(S2TestCaseTest.class));
		//$JUnit-END$
		return suite;
	}
}
